name: DomainChecker
options:
  bundleIdPrefix: com.yourname
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "15.0"
  createIntermediateGroups: true

settings:
  base:
    PRODUCT_NAME: DomainChecker
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"
    DEVELOPMENT_TEAM: ""
    CODE_SIGN_IDENTITY: "-"
    CODE_SIGN_STYLE: Automatic
    ENABLE_HARDENED_RUNTIME: YES
    INFOPLIST_KEY_LSApplicationCategoryType: "public.app-category.developer-tools"
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "14.0"

targets:
  DomainChecker:
    type: application
    platform: macOS
    sources:
      - path: .
        excludes:
          - project.yml
          - "*.md"
          - "*.sh"
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.yourname.DomainChecker
        INFOPLIST_KEY_CFBundleDisplayName: DomainChecker
        INFOPLIST_KEY_NSHumanReadableCopyright: "Copyright © 2025"
        GENERATE_INFOPLIST_FILE: YES
        INFOPLIST_KEY_LSUIElement: NO
        APP_SANDBOX_ENABLED: NO
        ENABLE_APP_SANDBOX: NO
    info:
      path: Info.plist
      properties:
        CFBundleDisplayName: DomainChecker
        CFBundleName: DomainChecker
        CFBundleIdentifier: com.yourname.DomainChecker
        CFBundleVersion: "1"
        CFBundleShortVersionString: "1.0.0"
        LSMinimumSystemVersion: "14.0"
        NSHumanReadableCopyright: "Copyright © 2025"
        NSAppTransportSecurity:
          NSAllowsArbitraryLoads: true
        NSNetworkVolumesUsageDescription: "DomainChecker needs network access to validate domains."

schemes:
  DomainChecker:
    build:
      targets:
        DomainChecker: all
    run:
      config: Debug
    archive:
      config: Release
